package cokr.xit.fims.excl.service.bean;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import cokr.xit.base.file.FileInfo;
import cokr.xit.fims.excl.LevyExclQuery;
import cokr.xit.fims.excl.OpnnSbmsn;
import cokr.xit.fims.excl.service.OpnnSbmsnService;
import cokr.xit.foundation.component.AbstractServiceBean;
import cokr.xit.foundation.data.DataObject;

/**의견제출 대장 서비스 구현체.
 *
 * <p>상세 설명: 의견제출 대장 업무 기능을 구현한 클래스
 *
 * <pre>
 * ============ 변경 이력 ============
 * 2023-06-27	JoJH 최초 작성
 * ================================
 * </pre>
 */
@Service("opnnSbmsnService")
public class OpnnSbmsnServiceBean extends AbstractServiceBean implements OpnnSbmsnService {

	/* 의견제출 대장 정보 Bean */
	@Resource(name = "opnnSbmsnBean")
	protected OpnnSbmsnBean opnnSbmsnBean;

	@Override
	public List<DataObject> getOpnnSbmsnList(LevyExclQuery req) {
		return opnnSbmsnBean.getOpnnSbmsnList(req);
	}

	@Override
	public List<DataObject> getOpnnSbmsns(LevyExclQuery req) {
		return opnnSbmsnBean.getOpnnSbmsns(req);
	}

	@Override
	public DataObject getOpnnSbmsnInfo(LevyExclQuery req) {
		return opnnSbmsnBean.getOpnnSbmsnInfo(req);
	}

	@Override
	public List<DataObject> getOpnnSbmsnDlbrDecsns(LevyExclQuery req) {
		return opnnSbmsnBean.getOpnnSbmsnDlbrDecsns(req);
	}

	@Override
	public String createOpnnSbmsn(OpnnSbmsn opnnSbmsn, List<FileInfo> fileInfoList) {
		return opnnSbmsnBean.createOpnnSbmsn(opnnSbmsn, fileInfoList);
	}

	@Override
	public String updateOpnnSbmsn(OpnnSbmsn opnnSbmsn, List<FileInfo> fileInfoList) {
		return opnnSbmsnBean.updateOpnnSbmsn(opnnSbmsn, fileInfoList);
	}

	@Override
	public String updateOpnnSbmsnAnswer(OpnnSbmsn opnnSbmsn) {
		return opnnSbmsnBean.updateOpnnSbmsnAnswer(opnnSbmsn);
	}

	@Override
	public String removeOpnnSbmsn(OpnnSbmsn opnnSbmsn) {
		return opnnSbmsnBean.removeOpnnSbmsn(opnnSbmsn);
	}

}
